package com.elitesland;

import com.elitesland.core.util.SpringContextHolder;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cache.annotation.EnableCaching;
import org.springframework.context.annotation.Bean;
import org.springframework.transaction.annotation.EnableTransactionManagement;

/**
 * <p>
 * 功能说明
 * </p>
 *
 * @author Roman.zhang
 * @date 2020/6/30
 */
@SpringBootApplication
@EnableTransactionManagement
@EnableCaching
public class YstDchApplication {

    public static void main(String[] args) {
        SpringApplication.run(YstDchApplication.class, args);
    }

    @Bean
    public SpringContextHolder springContextHolder() {
        return new SpringContextHolder();
    }

}
